#### 4.23.1.8 isCompatible

`Syntax:`
  `isCompatible(` fan f, cone c `)`
`Type:`
  int
`Purpose:`
  1 iff cone is compatible with the fan; 0 otherwise
`Example:`

      LIB"gfanlib.so";
      fan f=emptyFan(3);
      intmat M1[3][3]=
      1,0,0,
      0,1,0,
      0,0,1;
      cone c1=coneViaPoints(M1);
      isCompatible(f,c1);
      ==> 1
      insertCone(f,c1);
      intmat M2[3][3]=
      1,1,1,
      1,0,0,
      0,1,0;
      cone c2=coneViaPoints(M2);
      isCompatible(f,c2);
      ==> 0
      intmat M3[3][3]=
      1,0,0,
      0,1,0,
      0,0,-1;
      cone c3=coneViaPoints(M3);
      isCompatible(f,c3);
      ==> 1

User manual for Singular version 4-0-3, 2016, generated by texi2html.